# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AllocatedQuotaToSubscriptionList,
    AllocatedToSubscription,
    CommonResourceProperties,
    CreateGenericQuotaRequestParameters,
    CurrentQuotaLimitBase,
    CurrentUsagesBase,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    ExceptionResponse,
    GroupQuotaDetails,
    GroupQuotaDetailsName,
    GroupQuotaLimit,
    GroupQuotaLimitList,
    GroupQuotaLimitListProperties,
    GroupQuotaLimitProperties,
    GroupQuotaList,
    GroupQuotaRequestBase,
    GroupQuotaRequestBaseProperties,
    GroupQuotaRequestBasePropertiesName,
    GroupQuotaSubscriptionId,
    GroupQuotaSubscriptionIdList,
    GroupQuotaSubscriptionIdProperties,
    GroupQuotaSubscriptionRequestStatus,
    GroupQuotaSubscriptionRequestStatusList,
    GroupQuotaSubscriptionRequestStatusProperties,
    GroupQuotaUsagesBase,
    GroupQuotaUsagesBaseName,
    GroupQuotasEntity,
    GroupQuotasEntityBase,
    GroupQuotasEntityBasePatch,
    GroupQuotasEntityPatch,
    GroupQuotasEntityPatchProperties,
    GroupQuotasEntityProperties,
    LROResponse,
    LROResponseProperties,
    LimitJsonObject,
    LimitObject,
    OperationDisplay,
    OperationList,
    OperationResponse,
    ProxyResource,
    QuotaAllocationRequestBase,
    QuotaAllocationRequestBaseProperties,
    QuotaAllocationRequestBasePropertiesName,
    QuotaAllocationRequestStatus,
    QuotaAllocationRequestStatusList,
    QuotaAllocationRequestStatusProperties,
    QuotaLimits,
    QuotaLimitsResponse,
    QuotaProperties,
    QuotaRequestDetails,
    QuotaRequestDetailsList,
    QuotaRequestOneResourceProperties,
    QuotaRequestOneResourceSubmitResponse,
    QuotaRequestProperties,
    QuotaRequestStatusDetails,
    QuotaRequestSubmitResponse,
    QuotaRequestSubmitResponse202,
    Resource,
    ResourceBaseRequest,
    ResourceName,
    ResourceUsageList,
    ResourceUsages,
    ServiceError,
    ServiceErrorDetail,
    SubRequest,
    SubmittedResourceRequestStatus,
    SubmittedResourceRequestStatusList,
    SubmittedResourceRequestStatusProperties,
    SubscriptionGroupQuotaAssignment,
    SubscriptionQuotaAllocationRequestList,
    SubscriptionQuotaAllocations,
    SubscriptionQuotaAllocationsList,
    SubscriptionQuotaAllocationsListProperties,
    SubscriptionQuotaAllocationsProperties,
    SubscriptionQuotaAllocationsStatusList,
    SubscriptionQuotaDetails,
    SubscriptionQuotaDetailsName,
    SystemData,
    UsagesLimits,
    UsagesObject,
    UsagesProperties,
)

from ._quota_mgmt_client_enums import (  # type: ignore
    CreatedByType,
    LimitType,
    QuotaLimitTypes,
    QuotaRequestState,
    RequestState,
    UsagesTypes,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AllocatedQuotaToSubscriptionList",
    "AllocatedToSubscription",
    "CommonResourceProperties",
    "CreateGenericQuotaRequestParameters",
    "CurrentQuotaLimitBase",
    "CurrentUsagesBase",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "ExceptionResponse",
    "GroupQuotaDetails",
    "GroupQuotaDetailsName",
    "GroupQuotaLimit",
    "GroupQuotaLimitList",
    "GroupQuotaLimitListProperties",
    "GroupQuotaLimitProperties",
    "GroupQuotaList",
    "GroupQuotaRequestBase",
    "GroupQuotaRequestBaseProperties",
    "GroupQuotaRequestBasePropertiesName",
    "GroupQuotaSubscriptionId",
    "GroupQuotaSubscriptionIdList",
    "GroupQuotaSubscriptionIdProperties",
    "GroupQuotaSubscriptionRequestStatus",
    "GroupQuotaSubscriptionRequestStatusList",
    "GroupQuotaSubscriptionRequestStatusProperties",
    "GroupQuotaUsagesBase",
    "GroupQuotaUsagesBaseName",
    "GroupQuotasEntity",
    "GroupQuotasEntityBase",
    "GroupQuotasEntityBasePatch",
    "GroupQuotasEntityPatch",
    "GroupQuotasEntityPatchProperties",
    "GroupQuotasEntityProperties",
    "LROResponse",
    "LROResponseProperties",
    "LimitJsonObject",
    "LimitObject",
    "OperationDisplay",
    "OperationList",
    "OperationResponse",
    "ProxyResource",
    "QuotaAllocationRequestBase",
    "QuotaAllocationRequestBaseProperties",
    "QuotaAllocationRequestBasePropertiesName",
    "QuotaAllocationRequestStatus",
    "QuotaAllocationRequestStatusList",
    "QuotaAllocationRequestStatusProperties",
    "QuotaLimits",
    "QuotaLimitsResponse",
    "QuotaProperties",
    "QuotaRequestDetails",
    "QuotaRequestDetailsList",
    "QuotaRequestOneResourceProperties",
    "QuotaRequestOneResourceSubmitResponse",
    "QuotaRequestProperties",
    "QuotaRequestStatusDetails",
    "QuotaRequestSubmitResponse",
    "QuotaRequestSubmitResponse202",
    "Resource",
    "ResourceBaseRequest",
    "ResourceName",
    "ResourceUsageList",
    "ResourceUsages",
    "ServiceError",
    "ServiceErrorDetail",
    "SubRequest",
    "SubmittedResourceRequestStatus",
    "SubmittedResourceRequestStatusList",
    "SubmittedResourceRequestStatusProperties",
    "SubscriptionGroupQuotaAssignment",
    "SubscriptionQuotaAllocationRequestList",
    "SubscriptionQuotaAllocations",
    "SubscriptionQuotaAllocationsList",
    "SubscriptionQuotaAllocationsListProperties",
    "SubscriptionQuotaAllocationsProperties",
    "SubscriptionQuotaAllocationsStatusList",
    "SubscriptionQuotaDetails",
    "SubscriptionQuotaDetailsName",
    "SystemData",
    "UsagesLimits",
    "UsagesObject",
    "UsagesProperties",
    "CreatedByType",
    "LimitType",
    "QuotaLimitTypes",
    "QuotaRequestState",
    "RequestState",
    "UsagesTypes",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
